> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create user metadata

> This endpoint is used to create user metadata



## OpenAPI

````yaml /api-reference/openapi.documented.json post /api/users/metadatas
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/users/metadatas:
    post:
      tags:
        - Identity
      summary: Create user metadata
      description: This endpoint is used to create user metadata
      parameters: []
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type: object
              properties:
                userId:
                  type: string
                  format: uuid
                walletAddress:
                  type: string
                isBlocked:
                  type: boolean
                epicAccountIdentifier:
                  type: string
                  nullable: true
                discordUser:
                  type: string
                  nullable: true
                discordUserId:
                  type: string
                  nullable: true
                twitterUser:
                  type: string
                  nullable: true
                twitterUserFollowersCount:
                  type: number
                  nullable: true
                twitterUserId:
                  type: string
                  nullable: true
                emailAddress:
                  type: string
                  format: email
                  nullable: true
                walletGroupIdentifier:
                  type: string
                  nullable: true
                userGroupId:
                  type: string
                  format: uuid
                telegramUserId:
                  type: string
                  nullable: true
                telegramUsername:
                  type: string
                  nullable: true
                steamUserId:
                  type: string
                  maxLength: 128
                  nullable: true
                steamUsername:
                  type: string
                  maxLength: 128
                  nullable: true
                googleUserId:
                  type: string
                  maxLength: 128
                  nullable: true
                googleUser:
                  type: string
                  nullable: true
                YTChannelId:
                  type: string
                  nullable: true
                displayName:
                  type: string
                  nullable: true
                location:
                  type: string
                  maxLength: 255
                  nullable: true
                bio:
                  type: string
                  maxLength: 255
                  nullable: true
                portfolioUrl:
                  type: string
                  maxLength: 255
                  nullable: true
                externalLoyaltyScore:
                  type: string
                  nullable: true
                blockStatusReason:
                  type: string
                  enum:
                    - sybil_and_multi_account
                    - account_migration
                    - abuse_manipulation
                    - not_sybil
                    - issue_resolved
                    - twitter_suspended
                    - other
                  nullable: true
                isBlockExempt:
                  type: boolean
                internalNotes:
                  type: string
                  nullable: true
                logoUrl:
                  type: string
                  nullable: true
                userGroupExternalIdentifier:
                  type: string
                  nullable: true
                externalIdentifier:
                  type: string
                  maxLength: 255
                  nullable: true
                websiteId:
                  type: string
                  format: uuid
                organizationId:
                  type: string
                  format: uuid
                tiktokUser:
                  type: string
                  nullable: true
                tiktokUserId:
                  type: string
                  nullable: true
                sybilScore:
                  type: number
                  minimum: 1
                  maximum: 100
                  nullable: true
                githubUser:
                  type: string
                  nullable: true
                githubUserId:
                  type: string
                  nullable: true
                phoneNumber:
                  type: string
                  pattern: ^\+[1-9]\d{1,14}$
                  title: Phone Number
                  description: Phone number in E.164 format (e.g., +14155552671)
                  example: '+14155552671'
                  nullable: true
              title: Create User Metadata Schema
              description: Schema for a create user metadata schema
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    title: ID
                    description: Unique identifier for the user metadata
                    example: 123e4567-e89b-12d3-a456-426614174000
                  websiteId:
                    type: string
                    format: uuid
                    title: Website ID
                    description: Unique identifier for the website
                    example: 123e4567-e89b-12d3-a456-426614174001
                  organizationId:
                    type: string
                    format: uuid
                    title: Organization ID
                    description: Unique identifier for the organization
                    example: 123e4567-e89b-12d3-a456-426614174002
                  walletGroupIdentifier:
                    type: string
                    nullable: true
                    title: Wallet group identifier
                    description: Identifier for the user wallet group set via api
                    example: wallet-group-id
                  userGroupId:
                    type: string
                    format: uuid
                    nullable: true
                    title: User group identifier
                    description: Identifier for the user group set via api
                    example: user-group-id
                  userGroup:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        title: User group id
                        description: id for the user group
                        example: 123e4567-e89b-12d3-a456-426614174002
                      externalIdentifier:
                        type: string
                        nullable: true
                        title: User group external identifier
                        description: External identifier for the user group
                        example: user-group-external-id
                    required:
                      - id
                      - externalIdentifier
                    nullable: true
                    title: User group
                    description: User group associated with the user
                    example:
                      id: 123e4567-e89b-12d3-a456-426614174002
                      externalIdentifier: user-group-external-id
                  user:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        title: User id
                        description: Id for the user
                        example: 123e4567-e89b-12d3-a456-426614174002
                      walletAddress:
                        type: string
                        title: Wallet address
                        description: Wallet address of the user
                        example: '0x1234567890abcdef1234567890abcdef12345678'
                    required:
                      - id
                      - walletAddress
                  createdAt:
                    type: string
                    format: date-time
                    title: Created At
                    description: Timestamp when the wallet was created
                    example: '2023-10-01T12:34:56Z'
                required:
                  - id
                  - websiteId
                  - organizationId
                  - walletGroupIdentifier
                  - userGroupId
                  - userGroup
                  - user
                  - createdAt
                title: User Metadata Schema
                description: Schema for a user metadata
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Request body is invalid
                required:
                  - message
                title: Bad Request Response
                description: Schema for bad request response
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Forbidden, Could not validate api key
                required:
                  - message
                title: Forbidden Response
                description: Schema for forbidden response
                example: Forbidden, Could not validate api key
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    title: Success
                    description: Indicates operation success
                    example: false
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Internal server error
                  debugInfo:
                    type: string
                    title: Debug Info
                    description: Optional debug information
                    example: Stack trace or additional error details
                required:
                  - success
                  - message
                title: Internal Server Error Response
                description: Schema for internal server error response
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````